<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "account_login".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountLogin".
 *
 * Columns in table "account_login" available as properties of the model,
 * followed by relations of table "account_login" available as properties of the model.
 *
 * @property integer $id
 * @property integer $account_id
 * @property string $date_added
 * @property string $date_updated
 * @property string $ip_address
 * @property string $session_id
 *
 * @property Account $account
 */
abstract class BaseAccountLogin extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'account_login';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AccountLogin|AccountLogins', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('account_id', 'required'),
            array('account_id', 'numerical', 'integerOnly' => true),
            array('ip_address', 'length', 'max' => 15),
            array('session_id', 'length', 'max' => 40),
            array('date_added, date_updated', 'safe'),
            array('date_added, date_updated, ip_address, session_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, account_id, date_added, date_updated, ip_address, session_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'account' => array(self::BELONGS_TO, 'Account', 'account_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_id' => null,
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'ip_address' => Yii::t('app', 'Ip Address'),
            'session_id' => Yii::t('app', 'Session'),
            'account' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_id', $this->account_id);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);
        $criteria->compare('ip_address', $this->ip_address, true);
        $criteria->compare('session_id', $this->session_id, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
